<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>La Baie Ourson</title>
    <link rel="stylesheet" href="/assets/css/app.css">
</head>
<body>
<header class="header">
    <a href="/">
        <img class="brand" src="/assets/img/brand.svg" alt="La Baie Ourson">
    </a>
</header>
<nav class="nav">
    <a href="/">Produits</a>
    <a href="/cart">Panier</a>
    <a th:if="${session.user == null}" href="/sign-up">Créer un compte</a>
    <a th:if="${session.user == null}" href="/sign-in">Se connecter</a>
    <a th:if="${session.user != null}" href="/sign-out">Se déconnecter</a>
</nav>
<main>
    <section class="product-detail">
        <img class="image" th:src="|/assets/img/${product.sku}.png|" th:alt="${product.name}">

        <h1 class="name">[[${product.name}]]</h1>
        <div class="description">[[${product.description}]]</div>

        <div th:if="${product.stock <= 0}">[[${product.price}]] $ - Stock épuisés.</div>
        <div th:if="${product.stock > 0}">[[${product.price}]] $ - [[${product.stock}]] restants.</div>

        <form th:if="${product.stock > 0}" method="post">
            <input type="hidden" name="operation" value="add">
            <input type="hidden" name="sku" th:value="${product.sku}">
            <input id="quantity" class="quantity" name="quantity" type="number" value="1" min="1">
            <button>Ajouter au panier</button>
        </form>
    </section>
</main>
<footer class="footer">
    Copyright @2025 La Baie Ourson Inc.
</footer>
</body>
</html>